Bug 118373 - [patch] www/havp: Incorect usage options knobs
Summary: [patch] www/havp: Incorect usage options knobs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-01 17:30 UTC by Max N. Boyarov
Modified: 2007-12-22 16:00 UTC (History)
0 users

See Also:


Attachments
www::havp.diff (697 bytes, patch)
2007-12-01 17:30 UTC, Max N. Boyarov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max N. Boyarov 2007-12-01 17:30:02 UTC
	Ports Makefile use OPTIONS incorrect so port always build
	with all features disabled

How-To-Repeat: 	$ cd /usr/ports/www/havp 
	$ make showconfig
===> The following configuration options are available for havp-0.86:
     SSL=on (default) "Enable SSL proxying (not scanned, only forwarded!)"
     CLAMAV=on (default) "Enable libclamav support"
     TROPHIE=off (default) "Enable Trend Micro (Trophie) support"
===> Use 'make config' to modify these settings
	$ grep -i clamav Makefile 
LIB_DEPENDS=    clamav.2:${PORTSDIR}/security/clamav
                        CLAMAV "Enable libclamav support" on \
.if defined(WITH_CLAMAV)
CONFIGURE_ARGS+=        --enable-clamav
CONFIGURE_ARGS+=        --disable-clamav
	$ make -V WITH_CLAMAV
true
	$ make -V CONFIGURE_ARGS
--disable-locking --disable-ssl-tunnel --disable-clamav --disable-trophie --prefix=/usr/local ${_LATE_CONFIGURE_ARGS} --build=i386-portbld-freebsd7.0
Comment 1 Edwin Groothuis freebsd_committer 2007-12-01 17:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-12-01 17:30:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Elisey Savateev 2007-12-09 06:21:50 UTC
Patch approved. Thanks!
Comment 4 Volker 2007-12-20 01:28:36 UTC
// just to make some noise! //

I've just been hurt by this bug on a bunch of different machines and
needed to fix all manually (before finding this PR with the correct
solution).

I'm wondering if this fix can be submitted ASAP so not anybody else
will run into trouble like this?

Thx!

Volker
Comment 5 dfilter service freebsd_committer 2007-12-22 15:59:24 UTC
miwi        2007-12-22 15:59:19 UTC

  FreeBSD ports repository

  Modified files:
    www/havp             Makefile 
  Log:
  - Fix OPTIONS handling
  
  PR:             118373
  Submitted by:   Max N. Boyarov <m.boyarov@bsd.by>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.11      +3 -1      ports/www/havp/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2007-12-22 15:59:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!